<p-dialog
  header="Neue Kategorie anlegen"
  [(visible)]="displayDialog"
  [modal]="true"
  [style]="{ width: '50vw' }"
>
  <form #f="ngForm" (ngSubmit)="createCategory()">
    <div class="p-fluid">
      <div class="field">
        <label for="new_title_de">Name (deutsch)</label>
        <input
          id="new_title_de"
          name="new_title_de"
          type="text"
          pInputText
          [(ngModel)]="newCategory.title.de"
          [required]="true"
        />
      </div>
      <div class="field">
        <label for="new_title_en">Name (englisch)</label>
        <input
          id="new_title_en"
          name="new_title_en"
          type="text"
          pInputText
          [(ngModel)]="newCategory.title.en"
          [required]="true"
        />
      </div>
    </div>
    <div class="justify-content-end flex">
      <p-progressSpinner
        *ngIf="loading"
        styleClass="w-3rem h-3rem mr-3"
      ></p-progressSpinner>
      <p-button
        label="Erstellen"
        icon="pi pi-plus"
        type="submit"
        [disabled]="loading || !f.valid"
      ></p-button>
    </div>
  </form>
</p-dialog>
